body {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  background: #f4f7fa;
  margin: 0;
  padding: 20px;
  color: #333;
}

header {
  background: #1e3a8a;
  padding: 20px;
  border-radius: 8px;
  margin-bottom: 20px;
}

header h1 {
  color: white;
  text-align: center;
  margin: 0;
}

.contenedor {
  display: flex;
  gap: 20px;
}

.formulario {
  width: 350px;   /* prueba entre 300 y 380 */
  background: white;
  padding: 20px;
  border-radius: 8px;
}

.formulario fieldset {
  border: none;
  padding: 0;
  margin: 0;
}

.formulario legend {
  font-weight: 600;
  margin-bottom: 15px;
  font-weight: normal;
}

.formulario h2 {
  margin-top: 0;
  text-align: center;
}

.formulario div {
  margin-bottom: 15px;
}

.formulario label {
  display: block;
  font-weight: 600;
  margin-bottom: 5px;
}

.formulario input {
  width: 100%;
  padding: 8px 2px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.formulario button {
  background: #2563eb;
  color: white;
  border: none;
  padding: 10px;
  width: 100%;
  border-radius: 6px;
  font-size: 16px;
  cursor: pointer;
}

.formulario button:hover {
  background: #1d4ed8;
}

.lado-derecho {
  flex: 2;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.lado-derecho h2{
  margin-top: 0;
  text-align: center;
}

.resultados {
  background: white;
  padding: 20px;
  border-radius: 8px;
}

.resultados p {
  font-size: 16px;
  margin: 8px 0;
  font-weight: bold;
}

.btn-continuar {
  background: #2563eb;
  color: white;
  border: none;
  padding: 10px;
  width: 250px;
  border-radius: 6px;
  font-size: 16px;
  cursor: pointer;

  display: block;
  margin-left: auto;

  text-decoration: none;
  text-align: center;
}


.resultados button:hover {
  background: #1d4ed8;
}

.mapa {
  background: white;
  padding: 20px;
  border-radius: 8px;
}

#map {
  height: 400px;
  width: 100%;
  border-radius: 6px;
}

@media (max-width: 768px) {
  .contenedor {
    flex-direction: column;
  }
}

/* NAV ocupa todo el ancho de la pantalla */
.nav {
  width: 100%;
  background: white;
  margin-bottom: 20px;
}

/* Contenido interno separado */
.nav-contenido {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;

  /* padding SOLO aquí */
  padding: 12px 24px;
}

.nav-izq {
  font-weight: 600;
  color: #1e3a8a;
}

.bienvenida {
  font-size: 18px;
}

.nav-der {
  display: flex;
  gap: 20px;
}

/* ===== RESTAURAR ESTILOS ORIGINALES DEL NAV ===== */

.nav a {
  text-decoration: none;
  color: #1e3a8a;
  font-weight: 600;
  font-size: 20px;

  padding: 8px 14px;
  border-radius: 6px;
  transition: background 0.2s ease;
}

.nav a:hover {
  background: #e0e7ff;
}

